Recent

Author Topic: Installing 2.0.0 on Debian Stretch  (Read 843 times)

johnmc

  • New member
  • *
  • Posts: 25
Installing 2.0.0 on Debian Stretch
« on: March 22, 2019, 03:04:34 pm »
I downloaded and installed 1.8.4 on a Debian Stretch, amd64 pc and that worked fine. When I tried to install 2.0.0 on a different pc still Debian Stretch amd64 that failed with "Could not find libgcc". I downloaded the .deb files and try:
 dpkg -fpc-laz_3.0.4-1_amd64.deb

gcc is installed, any ideas, ?

John

lucamar

  • Hero Member
  • *****
  • Posts: 1942
Re: Installing 2.0.0 on Debian Stretch
« Reply #1 on: March 22, 2019, 03:58:21 pm »
Unless you know very well what you're doing (and why), you shouldn't use dpkg to install complex packages like Lazarus. Instead, use apt-get, aptitude from the command-line or a GUI program like GDebi, Synaptics, Muon, etc. which will take care of installing also all the dependencies.
Turbo Pascal 3 CP/M - Amstrad PCW 8256 (512 KB !!!) :P
Lazarus 2.0.2/2.0.4  - FPC 3.0.4 on:
(K|L)Ubuntu 12..16, Windows XP SP3, various DOSes.

Zvoni

  • Full Member
  • ***
  • Posts: 198
Re: Installing 2.0.0 on Debian Stretch
« Reply #2 on: March 22, 2019, 04:51:20 pm »
GDebi.
Hell no apt or synaptic (getting Laz from distro-repo). That hasn't worked for me, since packages are missing.
get the deb's for fpc, fpc-src and laz here from the wabpage, install fpc, fpc-src, and last laz
and you're done
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

johnmc

  • New member
  • *
  • Posts: 25
Re: Installing 2.0.0 on Debian Stretch
« Reply #3 on: March 22, 2019, 05:52:39 pm »
GDebi.
Hell no apt or synaptic (getting Laz from distro-repo). That hasn't worked for me, since packages are missing.
get the deb's for fpc, fpc-src and laz here from the wabpage, install fpc, fpc-src, and last laz
and you're done
Thats basically what I found, Laz in stretch is still 1.6.2, so for the 1.8.4 I downloaded the .deb files and installed in order but 2.0.0 fails.

valdir.marcos

  • Hero Member
  • *****
  • Posts: 754
Re: Installing 2.0.0 on Debian Stretch
« Reply #4 on: March 22, 2019, 06:53:48 pm »
GDebi.
Hell no apt or synaptic (getting Laz from distro-repo). That hasn't worked for me, since packages are missing.
get the deb's for fpc, fpc-src and laz here from the wabpage, install fpc, fpc-src, and last laz
and you're done
Thats basically what I found, Laz in stretch is still 1.6.2, so for the 1.8.4 I downloaded the .deb files and installed in order but 2.0.0 fails.
First, you need to understand how Debian and its derivatives work.
Internet is plenty of videos and tutorials about that.

Then, study apt, sources.list and pinning.

https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=lazarus

https://linuxconfig.org/how-to-install-and-use-debian-backports

https://wiki.debian.org/AptPreferences

johnmc

  • New member
  • *
  • Posts: 25
Re: Installing 2.0.0 on Debian Stretch
« Reply #5 on: April 06, 2019, 02:13:59 pm »
Turns out this was not too difficult to fix.

synaptic package manager does not install g++ properly and so just use apt-get instead.

I needed one dependency and one other missing package but now have a what appears to be a working platform.

I will give a test overthe next few days.

John